#!/usr/bin/perl
#
# Compute QE based on log(sensitivity)
#  for Kodak Tech Pan film
#
# All values are relative, but 
#  we then scale so peak is 
#  about 1 percent
#

$factor = 1.0/15.0;

$hyper_factor = 5.0;

while (<STDIN>) {

  $line = $_;
  if ($line =~ /^#/) {
    next;
  }
 
  $line = " " . $line;
  @words = split(/\s+/, $line);

  $lam = $words[1];
  $logsen = $words[2];

  $sen = 10**($logsen);
  $sen *= $factor;
  $hyper_sen = $sen*$hyper_factor;

  printf " %5.0f  %6.2f  %7.3f  %7.3f \n", 
      $lam, $logsen, $sen, $hyper_sen;
  
  


}


exit 0;
